Nifty API
  • Authentication
  • OAuth 2.1
  • v1.0 API
  • API tokens
Information
Apps
    Get AppsgetGet Appget
Authentication
    Generate TokenpostAuthorize (browser entry point)get
Chats
    Get ChatsgetGet Chatget
Documents
    Get DocumentsgetCreate documentpostGet Personal DocumentsgetCreate Personal DocumentpostGet DocumentgetUpdate DocumentputRemove DocumentdeleteMove DocumentputUpdate Document MemberputRemove Document MemberdeleteUpdate DocumentpostUpdate Document LabelsputRemove Document Labelsdelete
Custom Fields
    Get Custom fieldsgetGet Custom fieldget
Files
    Get FilesgetUpload FilespostGet FilegetUpdate FileputRemove FiledeleteCopy FilepostAdd File LabelsputRemove File Labelsdelete
Folders
    Get Folder ChildrengetAdd FolderpostGet Folderget/api/v2.0/folders/{folderId}putRemove FolderdeleteGet Folder Conntentsget
Invite
    Get Inviteeget
Tags
    Get TagsgetCreate TagpostGet TaggetUpdate TagputRemove Tagdelete
Members
    Get Members DetailsgetGet Member Detailsget
Messages
    Get MessagesgetCreate MessagepostGet MessagegetUpdate MessageputRemove MessagedeleteMark Message seenpostMark Message heardpost
Milestones & Lists
    Get MilestonesgetCreate MilestonepostGet MilestonegetUpdate MilestoneputRemove MilestonedeleteMove MilestoneputTie Task To MilestoneputRemove Milestone TaskdeleteArchive Milestonepost
Projects
    Get ProjectsgetCreate ProjectpostGet ProjectgetUpdate ProjectputRemove ProjectdeleteInvite Team Member for projectpostLeave ProjectpostStart ProjectpostGet Project Custom FieldsgetAdd Project Custom FieldspostUpdate Project Custom Fieldsput
Portfolios
    Get PortfoliosgetCreate PortfoliopostGet PortfoliogetUpdate PortfolioputRemove PortfoliodeleteUpdate Portfolio MemberputRemove Portfolio MemberdeleteLeave Portfoliopost
Tasks
    Get TasksgetCreate TaskpostRemove TaskdeleteGet Personal TasksgetCreate Personal TaskpostGet TaskgetUpdate TaskputRemove TaskdeleteUpdate Task MilestoneputComplete TaskpostArchive TaskpostMove TaskpostAssign TaskputRemove AssigneedeleteAdd LabelsputRemove LabelsdeleteGet FieldsgetAdd FieldspostUpdate FieldsputAdd DocumentputClone TaskpostMove Taskpost
Status
    Get StatusesgetCreate StatuspostGet StatusgetUpdate StatusputRemove StatusdeleteMove TaskspostAssign Status MembersputRemove Status Memberdelete
Templates
    Get Templatesget
Time Tracking
    Get Tracked Time ReportgetGet Tracked Time Durationget
Users
    Get User Detailsget
Webhook
    Get WebhooksgetCreate WebhookpostUpdate WebhookputRemove Webhookdelete
Other endpoints
    /get
Schemas
powered by Zudoku
Nifty API v1.0
Nifty API v1.0

Status


Get Statuses

GET
https://openapi.niftypm.com
/api/v1.0/taskgroups

This endpoint fetch the list of statuses for the team member

Get Statuses › query Parameters

project_id
​string · required

Project ID

archived
​boolean

Archived

limit
​string

No of records per page

Example: 25
offset
​string

Record Offset

Example: 0
sort
​string · enum

Sorting order, default is ascending

Enum values:
ascending
descending

Get Statuses › Responses

Success Response

GetTaskGroupsResponse
​TaskGroupResponse[] · required
hasMore
​boolean

True if there are more record else false

Default: false
GET/api/v1.0/taskgroups
curl 'https://openapi.niftypm.com/api/v1.0/taskgroups?project_id=<string>' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "items": [ { "id": "id", "name": "name", "order": 0, "project_id": "project_id", "color": "color", "milestone": "milestone", "is_completion_group": true, "assignees": [ "string" ], "hidden": [ "string" ], "rollup": {} } ], "hasMore": false }
json
application/json

Create Status

POST
https://openapi.niftypm.com
/api/v1.0/taskgroups

This endpoint creates a new status using the provided details.

Create Status › Request Body

CreateTaskGroupBody
name
​string · required

Name

project_id
​string · required

Project ID

order
​number

Order

color
​string

Color

isCompletionGroup
​boolean

Is Completion Group

Create Status › Responses

The resource created successfully

TaskGroupCompactResponse
id
​string · required
name
​string · required
created_by
​string · required
project
​string · required
color
​string · required
order
​number · required
assignees
​string[] · required
rollup
​string · required
POST/api/v1.0/taskgroups
curl https://openapi.niftypm.com/api/v1.0/taskgroups \ --request POST \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <token>' \ --data '{ "name": "name", "order": 0, "color": "color", "isCompletionGroup": true, "project_id": "project_id" }'
Example Request Body
{ "name": "name", "order": 0, "color": "color", "isCompletionGroup": true, "project_id": "project_id" }
json
Example Responses
{ "id": "id", "name": "name", "created_by": "created_by", "project": "project", "color": "color", "order": 0, "assignees": [ "string" ], "rollup": "rollup" }
json
application/json

Get Status

GET
https://openapi.niftypm.com
/api/v1.0/taskgroups/{taskgroup_id}

This endpoint fetch the status details using unique identifier.

Get Status › path Parameters

taskgroup_id
​string · required

Enter status id

Get Status › Responses

Success Response

TaskGroupResponse
id
​string · required
name
​string · required
order
​number · required
project_id
​string · required
color
​string · required
milestone
​string · required
is_completion_group
​boolean · required
assignees
​string[] · required
hidden
​string[] · required
rollup
​object · required
GET/api/v1.0/taskgroups/{taskgroup_id}
curl https://openapi.niftypm.com/api/v1.0/taskgroups/:taskgroup_id \ --header 'Authorization: Bearer <token>'
Example Responses
{ "id": "id", "name": "name", "order": 0, "project_id": "project_id", "color": "color", "milestone": "milestone", "is_completion_group": true, "assignees": [ "string" ], "hidden": [ "string" ], "rollup": {} }
json
application/json

Update Status

PUT
https://openapi.niftypm.com
/api/v1.0/taskgroups/{taskgroup_id}

This endpoint updates the status details using unique identifier.

Update Status › path Parameters

taskgroup_id
​string · required

Enter status id

Update Status › Request Body

UpdateTaskGroupDto
name
​string
order
​number
color
​string
is_completion_group
​boolean

Is Completion Group

archived
​boolean

Archived

rollup
​string

Rollup

Update Status › Responses

Success Response

TaskGroupGeneralResponse
message
​string · required

Success message

PUT/api/v1.0/taskgroups/{taskgroup_id}
curl https://openapi.niftypm.com/api/v1.0/taskgroups/:taskgroup_id \ --request PUT \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <token>' \ --data '{ "name": "name", "order": 0, "color": "color", "is_completion_group": true, "archived": true, "rollup": "rollup" }'
Example Request Body
{ "name": "name", "order": 0, "color": "color", "is_completion_group": true, "archived": true, "rollup": "rollup" }
json
Example Responses
{ "message": "message" }
json
application/json

Remove Status

DELETE
https://openapi.niftypm.com
/api/v1.0/taskgroups/{taskgroup_id}

This endpoint removes the status details using unique identifier.

Remove Status › path Parameters

taskgroup_id
​string · required

Enter status id

Remove Status › Responses

The record has been updated successfully.

TaskGroupGeneralResponse
message
​string · required

Success message

DELETE/api/v1.0/taskgroups/{taskgroup_id}
curl https://openapi.niftypm.com/api/v1.0/taskgroups/:taskgroup_id \ --request DELETE \ --header 'Authorization: Bearer <token>'
Example Responses
{ "message": "message" }
json
application/json

Move Tasks

POST
https://openapi.niftypm.com
/api/v1.0/taskgroups/{taskgroup_id}/move

This endpoint transfers list of all the tasks to the given status.

Move Tasks › path Parameters

taskgroup_id
​string · required

Enter status id

Move Tasks › Request Body

MoveAllTasks
target
​string · required

Target

Move Tasks › Responses

The resource created successfully

TaskGroupGeneralResponse
message
​string · required

Success message

POST/api/v1.0/taskgroups/{taskgroup_id}/move
curl https://openapi.niftypm.com/api/v1.0/taskgroups/:taskgroup_id/move \ --request POST \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <token>' \ --data '{ "target": "target" }'
Example Request Body
{ "target": "target" }
json
Example Responses
{ "message": "message" }
json
application/json

Assign Status Members

PUT
https://openapi.niftypm.com
/api/v1.0/taskgroups/{taskgroup_id}/assignees

This endpoint assignes the list of members to the status.

Assign Status Members › path Parameters

taskgroup_id
​string · required

Enter status id

Assign Status Members › Request Body

AssigneesBody
assignees
​string[] · required

List of Assignees

Assign Status Members › Responses

Success Response

TaskGroupGeneralResponse
message
​string · required

Success message

PUT/api/v1.0/taskgroups/{taskgroup_id}/assignees
curl https://openapi.niftypm.com/api/v1.0/taskgroups/:taskgroup_id/assignees \ --request PUT \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <token>' \ --data '{ "assignees": [ "string" ] }'
Example Request Body
{ "assignees": [ "string" ] }
json
Example Responses
{ "message": "message" }
json
application/json

Remove Status Member

DELETE
https://openapi.niftypm.com
/api/v1.0/taskgroups/{taskgroup_id}/assignees

This endpoint removes the list of members to the status.

Remove Status Member › path Parameters

taskgroup_id
​string · required

Enter status id

Remove Status Member › Request Body

AssigneesBody
assignees
​string[] · required

List of Assignees

Remove Status Member › Responses

The record has been updated successfully.

TaskGroupGeneralResponse
message
​string · required

Success message

DELETE/api/v1.0/taskgroups/{taskgroup_id}/assignees
curl https://openapi.niftypm.com/api/v1.0/taskgroups/:taskgroup_id/assignees \ --request DELETE \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <token>' \ --data '{ "assignees": [ "string" ] }'
Example Request Body
{ "assignees": [ "string" ] }
json
Example Responses
{ "message": "message" }
json
application/json

TasksTemplates